#! /usr/bin/env python
import glob, os, sys, re

flist = glob.glob('*.fits')

pat = re.compile('^(?P<hh>[0-9]{5})[-+][0-9]{5}[A-Z]\.fits$')

for file in flist:
	mm = pat.match(file)
	if not mm:
		raise ValueError("Bad file name '%s'" % file)
	subdir = os.path.join('/var/ftp/pub/vla_first/data',mm.group('hh'))
	newfile = os.path.join(subdir,file)
	print file, newfile
	if not os.path.exists(subdir):
		raise ValueError("File '%s' subdirectory '%s' not found" % (file, subdir))
	if os.path.exists(newfile):
		raise ValueError("%s already exists" % newfile)
	os.rename(file,newfile)


